package org.seasar.jsf.taglib;

import javax.faces.component.UIComponent;

import org.seasar.jsf.JsfConstants;

public abstract class UICommandTagBase extends UIComponentTagBase {

	private String immediate;

	protected void setProperties(UIComponent component) {
		super.setProperties(component);
		setComponentProperty(component, JsfConstants.IMMEDIATE_ATTR, immediate);
	}

	public void setImmediate(String immediate) {
		this.immediate = immediate;
	}
	
	public void release() {
		super.release();
		immediate = null;
	}
}